Bug 2250 - sndconfig locks up while trying to detect sound card
sndconfig locks up while trying to detect sound card
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: sndconfig (Show other bugs)
5.2
i386 Linux
high Severity high
: ---
: ---
Assigned To: David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 1999-04-18 10:49 EDT by Joe Acosta
Modified: 2008-03-06 14:57 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 1999-05-04 15:46:33 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joe Acosta 1999-04-18 10:49:14 EDT
It seems that whan I run sndconfig it locks up while trying
to detect my sound card. I have an SB AWE64.
I can use the --noprobe and it then skips the sound
detection, but it still leaves teh isapnp.conf empty.
I can then use pnpdump to create my own isapnp.conf file.

However my AWE device is still not being found by the
kernel.
Comment 1 Bill Nottingham 1999-04-19 11:10:59 EDT
if run with --noprobe, sndconfig won't look for isapnp cards,
so it *can't* write an isapnp.conf file. Does running pnpdump
from the command line lock up?

------- Email Received From  Joe <josepha48@yahoo.com> 04/20/99 09:17 -------
Comment 2 Bill Nottingham 1999-04-20 11:02:59 EDT
Considering that sndconfig just runs pnpdump, that's odd that
one would lock up and the other wouldn't. In any case, what's
probably the problem with the AWE synth you're having is that
you need to edit your /etc/isapnp.conf. Find the line that says

(IO 0 (BASE 0x620))

and change it to

(IO 0 (BASE 0x620)) (IO 1 (BASE 0x0A20)) (IO 2 (BASE 0x0E20))

Then you can rerun 'isapnp /etc/isapnp.conf', and then
'modprobe awe_wave'. Does that work?

------- Email Received From  Joe <josepha48@yahoo.com> 04/21/99 20:06 -------


------- Email Received From  Joe <josepha48@yahoo.com> 04/22/99 09:41 -------
Comment 3 Bill Nottingham 1999-04-22 10:36:59 EDT
the opl3 device can be loaded; it's the FM synth. If you're
using the AWE synth, it isn't really necessary.

Note You need to log in before you can comment on or make changes to this bug.